
QGIS Application - Bug report #4647

QGIS crashes when opening WMS layer properties

2011-12-14 08:50 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14545

Description

on the console the message is

Warning: QLayout: Attempting to add QLayout "" to QWidget "", which

already has a layout

Warning: QGraphicsScene::removeItem: cannot remove 0-item

Warning: QHttp: empty path requested is invalid -- using '/'

Warning: QGraphicsScene::removeItem: cannot remove 0-item

Warning: divide by zero encountered in divide

Warning: divide by zero encountered in divide

Warning: QPixmap::handle(): Pixmap is not an X11 class pixmap

Warning: QPixmap::handle(): Pixmap is not an X11 class pixmap

Segmentation fault

tested on master on both Ubuntu 11.10 and Windows/OSgeo4w

Associated revisions

Revision 4d761d07 - 2011-12-22 02:53 PM - Jürgen Fischer

fix #4647 (introduced in 3b9b2d - track backports please)

Revision b6281460 - 2011-12-22 03:00 PM - Jürgen Fischer

fix #4647 (introduced in 3b9b2d - track backports please)

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-18 05:32 AM - Giovanni Manghi

- Subject changed from QGIS crashes when opening WMS layer properties to [crash] QGIS crashes when opening WMS layer properties

#3 - 2011-12-18 05:33 AM - Giovanni Manghi

it affects also 1.7.3
#4 - 2011-12-22 05:27 AM - Ivan Mincik

- File wms_properties_crashing.txt added

Attaching my debug and gdb log.

#5 - 2011-12-22 05:53 AM - Jürgen Fischer

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"4d761d0711175f2f4846799bbdf9f287950f3850".

#6 - 2011-12-22 06:09 AM - Alexander Bruy

Backported to 1.7 and 1.8

#7 - 2011-12-22 08:00 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to Yes

- Subject changed from [crash] QGIS crashes when opening WMS layer properties to QGIS crashes when opening WMS layer properties

- Affected QGIS version set to master

Files

wms_properties_crashing.txt 9.32 KB 2011-12-22 Ivan Mincik
